Subject: Re: linux panic on 4.0.0-rc4

From: Michael Ellerman <[email-masked]>
Date: Tue, 17 Mar 2015 10:22:31 +1100

On Mon, 2015-03-16 at 09:30 -0400, Pranith Kumar wrote:
> On Mon, Mar 16, 2015 at 4:16 AM, Michael Ellerman <[email-masked]> wrote:
> > On Mon, 2015-03-16 at 01:34 -0400, Pranith Kumar wrote:
> >> On Mon, Mar 16, 2015 at 1:11 AM, Pranith Kumar <[email-masked]> wrote:
> >> > Hello,
> >> >
> >> > I have a power mac mini 32-bit system.
> >> >
> >> ...
> >> > You can see the panic message here: http://imgur.com/s1lH15g. (there
> >> > is no log and I have no serial console).
> >>
> >> There was some debug code in there when it hit. The actual hang seems
> >> to be in printk_late_init(). It does not return from this. May be this
> >> is a hint?
> >
> > That is where the boot consoles get disabled and it switches to the "real"
> > console. It suggests that the system is not "hung" there but you just lost
> > output.
> >
> > Try booting with "keep_bootcon" ?
> 
> I tried this and got to the same place as in the first mail:
> http://imgur.com/s1lH15g
> 
> There is a kernel panic with the message printed. Any more suggestions
> to how to debug this?

The log shows that init is being killed, that's what's causing the panic.

The exitcode of init is 0x200, which due to the vagaries of UNIX is I think an
"exit status" of 2 in the common usage.

But it suggests that your init is just exiting for some reason?

What is your init?

cheers